# Created by pyp2rpm-3.3.4
%define pypi_name thonny

Name:           thonny
Version:        4.1.7
Release:        %mkrel 1
Summary:        Python IDE for beginners
Group:          Development/Python
License:        MIT and EPL
URL:            https://thonny.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(filelock)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  x11-server-xvfb
BuildRequires:  python3-tkinter
# To compile the localization files
BuildRequires:  python3dist(babel)

Requires:       python3-tkinter
Recommends:     python3-distro
Recommends:     zenity
Recommends:     xsel

%description
Thonny is a simple Python IDE with features useful for learning programming.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove localization helper scripts, we don't need them in the package
rm thonny/locale/compile_mo.bat thonny/locale/update_pot.bat thonny/locale/thonny.pot

# Remove the vendored python-filelock
rm -r thonny/vendored_libs/filelock/

%generate_buildrequires
%pyproject_buildrequires

%build
# Don't use the upstream compiled language files, compile them during the build
rm thonny/locale/*/LC_MESSAGES/*.mo
pybabel compile -d thonny/locale/ -D thonny
rm thonny/locale/*/LC_MESSAGES/*.po

%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

install -m 0644 -D -T packaging/icons/thonny-256x256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-64x64.png   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-48x48.png   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-32x32.png   %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-22x22.png   %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-16x16.png   %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/thonny.png

install -D -m 0644 -t %{buildroot}%{_datadir}/metainfo                    packaging/linux/org.thonny.Thonny.appdata.xml
install -D -m 0644 -t %{buildroot}%{_mandir}/man1                         packaging/linux/thonny.1
desktop-file-install --dir=%{buildroot}%{_datadir}/applications           packaging/linux/org.thonny.Thonny.desktop

appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.thonny.Thonny.appdata.xml

%if 0
%check
xvfb-run py.test-3 --pyargs thonny
%endif

%files -f %{pyproject_files}
%license licenses/ECLIPSE-ICONS-LICENSE.txt LICENSE.txt
%doc README.rst CHANGELOG.rst CREDITS.rst
%{_bindir}/%{pypi_name}
%{_datadir}/icons/hicolor/*/apps/thonny.png
%{_datadir}/applications/org.thonny.Thonny.desktop
%{_datadir}/metainfo/org.thonny.Thonny.appdata.xml
%{_mandir}/man1/thonny.1*


%changelog
* Sat Mar 08 2025 daviddavid <daviddavid> 4.1.7-1.mga10
+ Revision: 2161955
- new version: 4.1.7
- switch to pyproject

* Fri Mar 07 2025 daviddavid <daviddavid> 4.1.6-2.mga10
+ Revision: 2161725
- rebuild for python 3.13

* Thu Sep 12 2024 kekepower <kekepower> 4.1.6-1.mga10
+ Revision: 2095209
- Update to version 4.1.6

* Tue Dec 19 2023 papoteur <papoteur> 4.1.4-2.mga10
+ Revision: 2019353
- Mass Rebuild - Python 3.12

* Thu Nov 23 2023 kekepower <kekepower> 4.1.4-1.mga10
+ Revision: 2009330
- Update to version 4.1.4

* Fri Sep 29 2023 kekepower <kekepower> 4.1.3-1.mga10
+ Revision: 1992203
- Update to version 4.1.3

* Mon Aug 28 2023 kekepower <kekepower> 4.1.2-1.mga10
+ Revision: 1980653
- Update to version 4.1.2

* Mon Jun 26 2023 kekepower <kekepower> 4.1.1-1.mga9
+ Revision: 1963093
- Update to version 4.1.1

* Sat Jun 03 2023 kekepower <kekepower> 4.1.0-1.mga9
+ Revision: 1960859
- Add patch to remove beta1 information
- Update to version 4.1.0

* Sat Jan 14 2023 kekepower <kekepower> 4.0.2-1.mga9
+ Revision: 1933107
- Update to version 4.0.2

* Sun Sep 11 2022 kekepower <kekepower> 4.0.1-1.mga9
+ Revision: 1887228
- Update to version 4.0.1

* Mon Aug 22 2022 kekepower <kekepower> 4.0.0-1.mga9
+ Revision: 1879469
- Update to version 4.0.0

* Fri Apr 01 2022 umeabot <umeabot> 3.3.14-4.mga9
+ Revision: 1838269
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 3.3.14-3.mga9
+ Revision: 1778507
- Rebuild for python-3.10
+ tmb <tmb>
- rebuild for python 3.10

* Mon Aug 23 2021 kekepower <kekepower> 3.3.14-1.mga9
+ Revision: 1742404
- Update to version 3.3.14

* Mon Jul 26 2021 kekepower <kekepower> 3.3.13-1.mga9
+ Revision: 1737788
- Update to version 3.3.13

* Fri Jun 25 2021 kekepower <kekepower> 3.3.11-1.mga9
+ Revision: 1732207
- Update to version 3.3.11

* Thu May 20 2021 kekepower <kekepower> 3.3.10-1.mga9
+ Revision: 1725879
- Update to version 3.3.10

* Fri Apr 30 2021 kekepower <kekepower> 3.3.7-1.mga9
+ Revision: 1720614
- Update to version 3.3.7

* Wed Mar 24 2021 tv <tv> 3.3.6-2.mga9
+ Revision: 1708858
- rebuild for python 3.9

* Sat Mar 06 2021 kekepower <kekepower> 3.3.6-1.mga9
+ Revision: 1700230
- Update to version 3.3.6

* Thu Feb 25 2021 kekepower <kekepower> 3.3.5-1.mga9
+ Revision: 1690831
- Update to version 3.3.5

* Sun Dec 06 2020 kekepower <kekepower> 3.3.1-1.mga8
+ Revision: 1654000
- Update to version 3.3.1

* Sun Nov 15 2020 kekepower <kekepower> 3.3.0-1.mga8
+ Revision: 1646436
- Update to version 3.3.0

* Thu Apr 23 2020 kekepower <kekepower> 3.2.7-1.mga8
+ Revision: 1571339
- imported package thonny

